import { EventEmitter } from '@angular/core';
export declare class PatientSearchComponent {
    placeholder: string;
    mode: string;
    debounce: number;
    callSearch: EventEmitter<{
        mode: string;
        value: string;
    }>;
    constructor();
    toggleMode(): void;
    search(data: any): void;
    clear(data: any): void;
}
